# Start from a Debian image with the latest version of Go installed
# and a workspace (GOPATH) configured at /go.
FROM buildpack-deps:jessie-scm

# Copy the local package files to the container's workspace.
ADD bin/battlecamp-go-boardgenerator /go/bin/battlecamp-go-boardgenerator

# Build the outyet command inside the container.
# (You may fetch or manage dependencies here,
# either manually or with a tool like "godep".)
# RUN go install battlecamp-go-server

RUN ["chmod", "755", "/go/bin/battlecamp-go-boardgenerator"]

# Run the battlecamp-go-server command by default when the container starts.
ENTRYPOINT ["/go/bin/battlecamp-go-boardgenerator"]

# Document that the service listens on port 8080.
EXPOSE 8081